Get a contact with event registrations and HubSpot snapshot
curl --request GET \
--url https://api.eventlink.co/api/v1/dashboard/contacts/{contactId} \
--cookie better-auth.session_token=import requests
url = "https://api.eventlink.co/api/v1/dashboard/contacts/{contactId}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://api.eventlink.co/api/v1/dashboard/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email": "[email protected]",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"jobTitle": "<string>",
"country": "<string>",
"phone": "<string>",
"linkedinUrl": "<string>",
"ownerName": "<string>",
"ownerProvider": "hubspot",
"hubspotContactId": "<string>",
"hubspotProperties": {},
"hubspotSyncedAt": "2023-11-07T05:31:56Z",
"salesforceLeadId": "<string>",
"salesforceContactId": "<string>",
"salesforceProperties": {},
"salesforceSyncedAt": "2023-11-07T05:31:56Z",
"hubspotNotesScopesMissing": true,
"registrations": [
{
"id": "<string>",
"eventId": "<string>",
"eventName": "<string>",
"eventSlug": "<string>",
"provider": "eventlink",
"formId": "<string>",
"status": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"pageUrl": "<string>",
"rawPayload": {}
}
]
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
Get a contact with event registrations and HubSpot snapshot
GET
/
api
/
v1
/
dashboard
/
contacts
/
{contactId}
Get a contact with event registrations and HubSpot snapshot
Authorizations
Better Auth session cookie.
Path Parameters
Organization contact id
Minimum string length:
1Query Parameters
Pass 1 to refresh HubSpot CRM snapshot when stale/missing
Available options:
0, 1 Pass 1 to refresh Salesforce Lead/Contact snapshot when stale/missing
Available options:
0, 1 Response
Contact detail
Minimum string length:
1Available options:
hubspot, salesforce, null Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes